consoleText

download

20 Started by upstream project "cubes-dataprocessing" build number 18
originally caused by:
Started by an SCM change
Building in workspace /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27
[py27] $ hg showconfig paths.default
[py27] $ hg pull --rev 30780ed45ebe5f719fdd6b81de0eaa2dc201705f
pulling from http://hg.logilab.org/review/cubes/dataprocessing
searching for changes
adding changesets
adding manifests
adding file changes
added 2 changesets with 2 changes to 2 files
(run 'hg update' to get a working copy)
[py27] $ hg update --clean --rev 30780ed45ebe5f719fdd6b81de0eaa2dc201705f
2 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py27] $ hg --config extensions.purge= clean --all
[py27] $ hg log --rev . --template {node}
[py27] $ hg log --rev . --template {rev}
[py27] $ hg log --rev 947db4bb4f3ae0588030994a1428b6f762296612
changeset: 31:947db4bb4f3a
user: Denis Laxalde <denis.laxalde@logilab.fr>
date: Mon Feb 01 14:49:23 2016 +0100
summary: [schema] Loosen permissions on data process entity types

[py27] $ hg log --template "<changeset node='{node}' author='{author|xmlescape}' rev='{rev}' date='{date}'><msg>{desc|xmlescape}</msg><added>{file_adds|stringify|xmlescape}</added><deleted>{file_dels|stringify|xmlescape}</deleted><files>{files|stringify|xmlescape}</files><parents>{parents}</parents></changeset>\n" --rev 30780ed45ebe5f719fdd6b81de0eaa2dc201705f:0 --follow --prune 947db4bb4f3ae0588030994a1428b6f762296612 --encoding UTF-8 --encodingmode replace
[py27] $ /bin/bash -xe /tmp/hudson3336161237414441399.sh
+ find test/data -name 'tmpdb*' -delete
[py27] $ /bin/bash -xe /tmp/hudson663457608637567485.sh
+ tox --recreate
GLOB sdist-make: /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27/setup.py
py27 create: /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27/.tox/py27
py27 inst: /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27/.tox/dist/cubicweb-dataprocessing-0.1.0.zip
py27 installed: You are using pip version 7.1.2, however version 8.0.2 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.3.2,boto==2.34.0,bzr-etckeeper==0.0.0,cffi==0.8.6,characteristic==0.1.0,chardet==2.3.0,Cheetah==2.4.4,cloud-init==0.7.6,colorama==0.3.2,configobj==5.0.6,coverage==3.7.1,croniter==0.3.4,cryptography==0.6.1,cubicweb==3.22.0,cubicweb-dataprocessing==0.1.0,cubicweb-file==1.17.0,cwclientlib==0.4.1,Cython==0.21.1,decorator==3.4.0,docutils==0.12,ecdsa==0.11,euca2ools==3.1.0,GDAL==1.10.1,hg-evolve==5.2.1,html2text==2016.1.8,html5lib==0.999,isodate==0.5.0,Jinja2==2.7.3,joblib==0.8.3,jsonpatch==1.3,jsonpointer==1.0,logilab-common==1.1.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.4.0,M2Crypto==0.21.1,Mako==1.0.0,Markdown==2.5.1,MarkupSafe==0.23,matplotlib==1.4.2,mercurial==3.5.2,mock==1.0.1,msgpack-python==0.4.2,nose==1.3.4,numexpr==2.4,numpy==1.8.2,oauth==1.0.1,openpyxl==1.7.0,pandas==0.14.1,paramiko==1.15.1,passlib==1.6.5,pep8==1.5.7,Pillow==2.6.1,pluggy==0.3.1,ply==3.4,prettytable==0.7.2,psycopg2==2.5.4,py==1.4.31,pyasn1==0.1.7,pyasn1-modules==0.0.5,pycparser==2.10,pycrypto==2.6.1,Pygments==2.0.1,pyinotify==0.9.4,pyOpenSSL==0.14,pyparsing==2.0.3,pyserial==2.6,pysqlite==2.6.3,python-apt==0.9.3.12,python-augeas==0.4.1,python-dateutil==2.2,python-jenkins==0.2.1,python-ldap==2.4.10,python-yapps==2.1.1,pytz==2012rc0,PyYAML==3.11,pyzmq==14.4.0,rdflib==4.1.2,requestbuilder==0.2.3,requests==2.4.3,roman==2.0.0,rql==0.34.0,rubber==1.1,salt==2015.5.3,scikit-learn==0.14.1,scipy==0.14.0,service-identity==1.0.0,Shapely==1.4.3,simplejson==3.6.5,SimpleTAL==4.1,six==1.8.0,SPARQLWrapper==1.6.0,statsmodels==0.4.2,tables==3.1.1,tox==2.3.1,urllib3==1.9.1,virtualenv==13.1.2,wheel==0.24.0,xlrd==0.9.2,xlwt==0.7.5,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0
py27 runtests: PYTHONHASHSEED='2166900619'
py27 runtests: commands[0] | /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27/.tox/py27/bin/python -c from logilab.common import pytest; pytest.run() -t test
======================= unittest_entities.py =======================
2016-02-01 18:52:30 - (cubicweb.appobject) WARNING: can't find any workflow for CWUser
2016-02-01 18:52:40 - (cubicweb.web) WARNING: [3.17] massmailing extracted to cube massmailing that was not found. try installing it.
2016-02-01 18:52:40 - (cubicweb.web) WARNING: [3.17] igeocoding extracted to cube geocoding that was not found. try installing it.
2016-02-01 18:52:40 - (cubicweb.web) WARNING: [3.17] embedding extracted to cube embed that was not found. try installing it.
2016-02-01 18:52:40 - (cubicweb.web) WARNING: [3.17] isioc extracted to cube sioc that was not found. try installing it.
....
====================== test_dataprocessing.py ======================
S.
======================================================================
SKIPPED: test_something (test_dataprocessing.DefaultTC)
this cube has no test
======================== unittest_hooks.py =========================
.........
======================== unittest_schema.py ========================
..
created /var/lib/jenkins/jobs/cubes-dataprocessing/workspace/TOXENV/py27/test/data/bfss
-> creating tables
-> inserting default user and default groups.
-> storing the schema in the database
-> database for instance data initialized.
*******************************************************************************
Ran 16 test cases in 22.37s (21.19s CPU), 1 skipped
All 4 modules OK
___________________________________ summary ____________________________________
py27: commands succeeded
congratulations :)
[PostBuildScript] - Execution post build scripts.
[PostBuildScript] Build is not failure : do not execute script
[PostBuildScript] - Execution post build scripts.
[py27] $ /bin/bash -xe /tmp/hudson4591382288419791364.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb-dataprocessing 30780ed45ebe http://jenkins.logilab.fr/job/cubes-dataprocessing/TOXENV=py27/18/ --status success
<br/>

log from execution
download